using System;
using System.Collections.Generic;
using System.Text;

namespace ClassificationApplication.ArticleStore.DBStore
{
    public struct Article
    {
        private string url;
        private string title;
        private string ingress;
        private string[] paragraphs;
        private DateTime date;

        public Article(string url, string title, string ingress, string[] paragraphs, DateTime date)
        {
            this.url = url;
            this.title = title;
            this.ingress = ingress;
            this.paragraphs = paragraphs;
            this.date = date;
        }
        public DateTime Date
        {
            get { return date; }
        }
        public string Url
        {
            get { return url; }
        }
        public string Title
        {
            get { return title; }
        }

        public string Ingress
        {
            get { return ingress; }
        }

        public string[] Paragraphs
        {
            get { return paragraphs; }
        }
        public override string ToString()
        {
            string returnString /*= "\n------------------------- \n"*/;
            returnString = string.Concat(/*returnString, this.Url + "\n\n", */this.Title + "\n", this.Ingress);
            foreach (string paragraph in Paragraphs)
            {
                returnString = string.Concat(returnString, "\n" + paragraph);
            }
            return returnString;
        }
    }
}
