using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;

namespace ClassificationApplication.ArticleStore.DBStore
{
    class TestArticleFetcher
    {

        [Test]
        public void TestFetchArticles()
        {
            ArticleFetcher fetcher = new ArticleFetcher();
            Article[] articles = fetcher.FetchArticles(new DateTime(2006, 3, 28), DateTime.Now);

            foreach (Article article in articles)
            {
                Assert.IsNotNull(article);
                Assert.IsNotEmpty(article.Title);
                Assert.IsNotEmpty(article.Ingress);
                Assert.IsNotNull(article.Date);
                foreach (string paragraph in article.Paragraphs)
                {
                    Assert.IsNotEmpty(paragraph);
                }
            }
        }
    }
}
