using System;
using System.Collections.Generic;
using System.Text;

namespace NewsFetcher.ArticleFetcher
{
    internal struct Article
    {
        private string url;
        private string title;
        private string ingress;
        private string[] paragraphs;

        public Article(string url, string title, string ingress, string[] paragraphs)
        {
            this.url = url;
            this.title = title;
            this.ingress = ingress;
            this.paragraphs = paragraphs;
        }
        public string Url
        {
            get { return url; }
        }
        public string Title
        {
            get { return title; }
        }

        public string Ingress
        {
            get { return ingress; }
        }

        public string[] Paragraphs
        {
            get { return paragraphs; }
        }
        public override string ToString()
        {
            string returnString = "\n------------------------- \n";
            returnString = String.Concat(returnString, this.Url + "\n\n", this.Title + "\n\n", this.Ingress + "\n\n");
            foreach (string paragraph in Paragraphs)
            {
                returnString = String.Concat(returnString, paragraph + "\n\n");
            }
            //returnString = String.Concat(returnString, this.Html);
            return returnString;
        }
    }
}
