using System;
using System.Collections.Generic;
using System.ServiceProcess;
using System.Text;


namespace NewsFetcher
{
    static class NewsService
    {
        private static readonly log4net.ILog log = log4net.LogManager.GetLogger("Service");

        static void Main()
        {
            ServiceBase[] ServicesToRun;
            // More than one user Service may run within the same process. To add
            // another service to this process, change the following line to
            // create a second service object. For example,
            //
            //   ServicesToRun = new ServiceBase[] {new Service1(), new MySecondUserService()};
            //
            log.Info("NewsService: Initializing services");
            FetcherService messageFetcherService = new FetcherService();

            ServicesToRun = new ServiceBase[] { messageFetcherService };

            ServiceBase.Run(ServicesToRun);
            log.Info("NewsService: Completed running");
        }
    }
}
