using System;
using System.Collections.Generic;
using System.Text;

namespace StockFetcher
{
    struct StockMessage
    {
        private string title;
        private string url;
        private string text;
        private DateTime date;
        private string ticker;

        public StockMessage(string url, string title, DateTime date, string text, string ticker)
        {
            this.title = title;
            this.url = url;
            this.text = text;
            this.date = date;
            this.ticker = ticker;
        }

        public string Title
        {
            get { return title; }
        }
        public string Url
        {
            get { return url; }
        }
        public string Text {
            get { return text; }
        }
        public DateTime Date { 
            get { return date; } 
        }
        public string Ticker
        {
            get { return ticker; }
        }
        public override string ToString()
        {
            return Title + "\n" + Url + "\n" + Text + "\n" + Date + "\n" + Ticker + "\n\n\n";
        }
    }
}
