using System;
using System.Collections.Generic;
using System.Text;

namespace Tagger.PropernameStore.Fetcher
{
    struct Company
    {
        string orgNumber;
        public string OrgNumber
        {
            get { return orgNumber; }
        }
        string name;
        public string Name
        {
            get { return name; }
        }
        string phone;
        public string Phone
        {
            get { return phone; }
        }
        string fax;
        public string Fax
        {
            get { return fax; }
        }
        string address;
        public string Address
        {
            get { return address; }
        }
        string postalAddress;
        public string PostalAddress
        {
            get { return postalAddress; }
        }
        string shareCapital;
        public string ShareCapital
        {
            get { return shareCapital; }
        }
        string employees;
        public string Employees
        {
            get { return employees; }
        }
        List<string> keyWords;
        public List<string> KeyWords
        {
            get { return keyWords; }
        }
        List<string> businessectors;
        public List<string> Businessectors
        {
            get { return businessectors; }
        }
        List<string> cpvBusinessectors;
        public List<string> CpvBusinessectors
        {
            get { return cpvBusinessectors; }
        }

        public Company(string orgNumber, string name, string phone,
            string fax, string address, string postalAddress, string shareCapital,
            string employees, List<string> keyWords, List<string> businessectors,
            List<string> cpvBusinessectors)
        {
            this.orgNumber = orgNumber;
            this.name = name;
            this.phone = phone;
            this.fax = fax;
            this.address = address;
            this.postalAddress = postalAddress;
            this.shareCapital = shareCapital;
            this.employees = employees;
            this.keyWords = keyWords;
            this.businessectors = businessectors;
            this.cpvBusinessectors = cpvBusinessectors;
        }
    }

    struct Person_
    {
        string id;

        public string Id
        {
            get { return id; }
        }
        string name;

        public string Name
        {
            get { return name; }
        }

        public Person_(string id, string name/*, Dictionary<string, string> companies*/)
        {
            this.id = id;
            this.name = name;
            //this.companies = companies;
        }
        
    }
}
