using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;

namespace Tagger.PropernameStore.Fetcher
{

    class TestCompanyStore
    {
        

        [Test]
        public void TestDataStore()
        {
            Selskap s = new Selskap();
            ForetaksInformasjon fi = new ForetaksInformasjon();
            fi.OrganisasjonsNr = "111111111";
            fi.JuridiskSelskapsnavn = "Jalla";
            fi.Telefon = "telefon 1";
            fi.Telefaks = "telefaks 1";
            fi.GateAdresse = "Adress 1";
            fi.PostAdresse = "Postadress 1";
            fi.AksjeKapital = "Aksjekapital 1";
            fi.AntallAnsatte = "Et par karer";
            s.Foretaksinformasjon = fi;
            FagomradeBransje fob = new FagomradeBransje();
            fob.NokkelOrd = new List<string>();
            fob.NokkelOrd.Add("Nokkelord 1");
            fob.NokkelOrd.Add("Nokkelord 2");
            fob.Bransje = new List<string>();
            fob.Bransje.Add("Bransje");
            fob.CpvBransje = new List<string>();
            fob.CpvBransje.Add("CpvBransje");
            fob.NaceBransje = new List<string>();
            fob.NaceBransje.Add("11.111 Nace 1");
            fob.NaceBransje.Add("11.101 Nace 2");
            s.FagomradeBransje = fob;
            Person person = new Person();
            person.Id = "111111";
            person.Navn = "Jens dust";
            person.Rolle = "Rumpeslikker";
            s.Personer = new List<Person>();
            s.Personer.Add(person);
            DBStore store = new DBStore();
            store.StoreCompany(s);
        }
    }
}
